#
# Conditional build:
%bcond_with	tests		# build without tests

%define		svnrev	1602
%define		rel	3
Summary:	Generate Your Projects
Summary(pl.UTF-8):	GYP (Generate Your Projects) - narzędzie do generowania systemów budowania
Name:		gyp
# grep version= setup.py
Version:	0.1
Release:	0.svn%{svnrev}.%{rel}
License:	New BSD
Group:		Development/Building
# use get-source.sh
Source0:	%{name}-%{svnrev}.tar.bz2
# Source0-md5:	fd1809e1716f46a585684aa0fb2df897
URL:		https://gyp.gsrc.io/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%description -l pl.UTF-8
GYP to narzędzie generujące natywne pliki budowania dla Visual Studio,
Xcode, SCons i/lub make'a z formatu wejściowego niezależnego od
platformy. Składnia jest uniwersalną, wieloplatformową reprezentacją
reguł, która nadal pozwala na wystarczającą elastyczność dla
poszczególnych platform, aby obsłużyć różnice między nimi.

%package -n python-%{name}
Summary:	Python modules for GYP
Summary(pl.UTF-8):	Moduły Pythona module dla GYP
Group:		Development/Languages/Python

%description -n python-%{name}
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
poszczególnych platform, aby obsłużyć różnice między nimi.

This package contains Python modules.

%description -n python-%{name} -l pl.UTF-8
GYP to narzędzie generujące natywne pliki budowania dla Visual Studio,
Xcode, SCons i/lub make'a z formatu wejściowego niezależnego od
platformy. Składnia jest uniwersalną, wieloplatformową reprezentacją
reguł, która nadal pozwala na wystarczającą elastyczność dla
poszczególnych platform, aby obsłużyć różnice między nimi.

Ten pakiet zawiera moduły Pythona.

%prep
%setup -q -n %{name}

%build
%py_build

%{?with_tests:%{__python} gyptest.py -a}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE
%attr(755,root,root) %{_bindir}/gyp

%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/gyp
%dir %{py_sitescriptdir}/gyp/generator
%{py_sitescriptdir}/gyp/*.py[co]
%{py_sitescriptdir}/gyp/generator/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/gyp-%{version}-py*.egg-info
%endif
%changelog
* Thu May 16 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gyp.git;a=log;h=master

* Wed Sep 21 2016 Jakub Bogusz <qboosh@pld-linux.org> f78d47c
- updated URL

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 54b7c2c
- use rpm python macros
- rel 3

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2284c65
- release 2 (by relup.sh)

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ba2c7f2
- pl

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> e133849
- version is 0.1, according to setup.py

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> 65e11e4
- up to 1602 (chromium 27.0.1453.6 dep)

* Sun Jul 08 2012 Elan Ruusamäe <glen@pld-linux.org> 7fa1d56
- baah, don't downgrade...

* Sat Jul 07 2012 Elan Ruusamäe <glen@pld-linux.org> d48ce98
- up to 1175

* Thu Jun 21 2012 Elan Ruusamäe <glen@pld-linux.org> d7220c7
- up to 1361, do not package tests as long we are not running them

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> d01b1cd
- up to r1103

* Sat Aug 27 2011 Elan Ruusamäe <glen@pld-linux.org> d0bbe1d
- r1014

* Sat Aug 27 2011 Elan Ruusamäe <glen@pld-linux.org> be4792c
- r1014

* Fri Aug 26 2011 Elan Ruusamäe <glen@pld-linux.org> b5cae1d
- up to svn 1013

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> bf8ce94
- rel 2

* Tue Aug 17 2010 vip <vip@pld-linux.org> 41f5cfa
- up to rev 840

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 235ee38
- release 2

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> d97eea3
- up to @795

* Tue Mar 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2e58399
- up to 790

* Wed Feb 17 2010 Elan Ruusamäe <glen@pld-linux.org> 7f23d1d
- up to @785 for --no-circular-check arg support

* Wed Feb 03 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a66406
- release 3

